🔗 REST APIExtractor
Extract specific item content from SEC filing
Retrieves filing content from the EDGAR database and returns only the text content of the specified item number.
Item Number Format
| Form Type | Item Format Examples |
|---|---|
| 8-K | 1.01, 2.01, 7.01 |
| 10-K | 1, 2, 3 |
| 10-K/10-Q | PartI 1, PartII 2 |
For best results, ensure the item number matches exactly with the filing's structure.
GET
header
Authorization<token>API Key is required to access the endpoints
accession_number*stringThe SEC filing accession number used to retrieve the filing from EDGAR database.
item_number*stringThe specific item number to extract (e.g., "1.01", "2.01", "7.01").
type?stringResult type (text or html, default: text)
Value in
"text""html"Successful extraction
response?stringapplication/jsoncurl -X GET 'https://api.sec.finfeedapi.com/v1/extractor/item?accession_number=string&item_number=string'"string"